Hello, and thanks for opening a new issue about Rocket!

Before opening your issue, we ask that you search through existing issues and
pull requests to see if your bug report, concern, request, or comment has
already been addressed. Ensure to search through both open and closed issues and
pull requests. If this is a question, feature request, or general comment,
please ensure that you have read the relevant sections of the documentation
before posting your issue. Finally, consider asking questions on IRC or Matrix
before opening an issue.

If you feel confident that your issue is unique, please include the following
information, selecting the category that best describes your issue:

## Bug Reports

Bug reports _must_ include:

  1. The version of Rocket you're using. Ensure it's the latest, if possible.

  2. The operating system (distribution and version) where the issue occurs.

  3. A brief description of the bug that includes:
    * The nature of the bug.
    * When the bug occurs.
    * What you expected vs. what actually happened.

  4. How you uncovered the bug. Short, reproducible tests are especially useful.

  5. Ideas, if any, about what Rocket is doing incorrectly.

## Questions

Any questions _must_ include:

  1. The version of Rocket this question is based on, if any.

  2. What steps you've taken to answer the question yourself.

  3. What documentation you believe should include an answer to this question.

## Feature Requests

Feature requests _must_ include:

  1. Why you believe this feature is necessary.

  2. A convincing use-case for this feature.

  3. Why this feature can't or shouldn't exist outside of Rocket.

## General Comments

Feel free to comment at will. We simply ask that your comments are well
constructed and actionable. Consider whether IRC or Matrix would be a better
venue for discussion.
